curl --request GET \
--url https://api.deepl.com/v3/languages \
--header 'Authorization: <api-key>'[
{
"lang": "de",
"name": "German",
"usable_as_source": true,
"usable_as_target": true,
"status": "stable",
"features": {
"formality": {
"status": "stable"
},
"tag_handling": {
"status": "stable"
},
"glossary": {
"status": "stable"
}
}
},
{
"lang": "en",
"name": "English",
"usable_as_source": true,
"usable_as_target": false,
"status": "stable",
"features": {
"tag_handling": {
"status": "stable"
},
"glossary": {
"status": "stable"
}
}
},
{
"lang": "en-US",
"name": "English (American)",
"usable_as_source": false,
"usable_as_target": true,
"status": "stable",
"features": {
"tag_handling": {
"status": "stable"
},
"glossary": {
"status": "stable"
}
}
}
]Retrieve languages
Retrieve the languages a DeepL API resource supports, including source and target roles and per-resource features.
curl --request GET \
--url https://api.deepl.com/v3/languages \
--header 'Authorization: <api-key>'[
{
"lang": "de",
"name": "German",
"usable_as_source": true,
"usable_as_target": true,
"status": "stable",
"features": {
"formality": {
"status": "stable"
},
"tag_handling": {
"status": "stable"
},
"glossary": {
"status": "stable"
}
}
},
{
"lang": "en",
"name": "English",
"usable_as_source": true,
"usable_as_target": false,
"status": "stable",
"features": {
"tag_handling": {
"status": "stable"
},
"glossary": {
"status": "stable"
}
}
},
{
"lang": "en-US",
"name": "English (American)",
"usable_as_source": false,
"usable_as_target": true,
"status": "stable",
"features": {
"tag_handling": {
"status": "stable"
},
"glossary": {
"status": "stable"
}
}
}
]Authorizations
Query Parameters
Controls which languages and features are included in the response. By default, only stable
languages and features are returned. Values can be combined with repeated parameters
(e.g. ?include=beta&include=external).
beta: Include languages and features in beta, in addition to stableexternal: Include features that rely on third-party service providers
beta, external Response
JSON array where each item represents a supported language.
Features supported for this language with the specified resource. Always present;
empty object if no optional features are supported. Each key is a feature name;
the value is an object with at least a status field. Consult GET /v3/languages/resources
to determine whether a feature must be present on the source language, target language,
or both for a given resource.
Show child attributes
Show child attributes
{
"formality": { "status": "stable" },
"tag_handling": { "status": "stable" },
"glossary": { "status": "stable" }
}